import React, { Component } from "react";
import ContentWrapper from "@/components/Layout/ContentWrapper";
import Link from "next/link";
import { Row, Col, Button } from "reactstrap";
import { getPelaporan } from "@/actions/pelaporan";
import CaseProgress from "@/components/Main/CaseProgress";
import TableLaporan from "@/components/Main/TableLaporan";
import { connect } from "react-redux";
import Loader from "@/components/Common/Loader";

class Pelaporan extends Component {
	constructor(props) {
		super(props);
		this.state = {
			pelaporan: {},
		};
	}

	componentDidMount = async () => {
		const pelaporan = await getPelaporan(this.props.token, { delegasi: true });
		this.setState({ pelaporan });
	};

	render() {
		const { pelaporan } = this.state;
		return (
			<ContentWrapper>
				<div className="content-heading">
					<div>Laporan Delegasi</div>
					<div className="ml-auto"></div>
				</div>
				<Row>
					<Col lg="4">
						<CaseProgress />
					</Col>
					<Col lg="8">{pelaporan?.data ? <TableLaporan listData={pelaporan.data} to="/app/laporan-delegasi/detail" linkName="Detail" /> : <Loader />}</Col>
				</Row>
			</ContentWrapper>
		);
	}
}

const mapStateToProps = (state) => ({ user: state.user, token: state.token });
export default connect(mapStateToProps)(Pelaporan);
